using System;
using System.ComponentModel;

namespace CallCenterApi.Model
{
    /// <summary>
    /// T_Msg_List:实体类(属性说明自动提取数据库字段的描述信息)
    /// </summary>
    [Serializable]
    public partial class T_Msg_List
    {
        public T_Msg_List()
        { }
        #region Model
        private int _id;
        private int? _type;
        private string _detail;
        private int? _state;
        private string _touser;
        private int? _toid;
        private string _remark;
        private string _createuser;
        private DateTime? _createdate;
        private DateTime? _readdate;
        private int? _isdel;
        private string _deluser;
        private DateTime? _deldate;
        /// <summary>
        /// ID
        /// </summary>
        public int ID
        {
            set { _id = value; }
            get { return _id; }
        }
        /// <summary>
        /// 消息类型 1工单，2服务到期，3微信,4开票
        /// </summary>
        public int? Type
        {
            set { _type = value; }
            get { return _type; }
        }
        /// <summary>
        /// 消息内容
        /// </summary>
        public string Detail
        {
            set { _detail = value; }
            get { return _detail; }
        }
        /// <summary>
        /// 0未读1已读
        /// </summary>
        public int? State
        {
            set { _state = value; }
            get { return _state; }
        }
        /// <summary>
        /// 消息接收人
        /// </summary>
        public string ToUser
        {
            set { _touser = value; }
            get { return _touser; }
        }
        /// <summary>
        /// 对应的ID
        /// </summary>
        public int? ToID
        {
            set { _toid = value; }
            get { return _toid; }
        }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark
        {
            set { _remark = value; }
            get { return _remark; }
        }
        /// <summary>
        /// 创建人
        /// </summary>
        public string CreateUser
        {
            set { _createuser = value; }
            get { return _createuser; }
        }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateDate
        {
            set { _createdate = value; }
            get { return _createdate; }
        }
        /// <summary>
        /// 阅读时间
        /// </summary>
        public DateTime? ReadDate
        {
            set { _readdate = value; }
            get { return _readdate; }
        }
        /// <summary>
        /// 0未删除1已删除
        /// </summary>
        public int? IsDel
        {
            set { _isdel = value; }
            get { return _isdel; }
        }
        /// <summary>
        /// 删除人
        /// </summary>
        public string DelUser
        {
            set { _deluser = value; }
            get { return _deluser; }
        }
        /// <summary>
        /// 删除时间
        /// </summary>
        public DateTime? DelDate
        {
            set { _deldate = value; }
            get { return _deldate; }
        }
        #endregion Model

    }

    /// <summary>
    /// 消息类型：1工单，2服务到期，3微信，4开票，5公告通知,6客户公告通知
    /// </summary>
    public enum MSGType
    {
        [Description("工单进度")]
        workorder = 1,
        [Description("服务到期")]
        cusserver = 2,
        [Description("微信")]
        wechat = 3,
        [Description("开票")]
        bill = 4,
        [Description("公告通知")]
        notice = 5,
        [Description("客户公告通知")]
        cusnotice = 6,
        [Description("工单处理")]
        Handle = 7,
        [Description("工单注解")]
        Annotation = 8,
    }
}

